Can't set priority of file download (or not to download)

General support for problems installing or using Deluge
B2BF
New User
New User
Posts: 7
Joined: Sun Jun 12, 2011 1:16 pm
OS or Distro: Ubuntu

Can't set priority of file download (or not to download)

Postby B2BF » Sun Jun 12, 2011 1:21 pm

HI!

I use Deluge 1.2.2 on Ubuntu 10.4 with GNOME.

The section of context menu with priority options is inactive. :( I can't set priority of files. I can't set not to download some files.

Is there a solution?
Thank you!

johnnyg
Top Bloke
Top Bloke
Posts: 1522
Joined: Sun Oct 28, 2007 4:00 am
OS or Distro: Arch Linux x86_64
Location: Sydney, Australia

Re: Can't set priority of file download (or not to download)

Postby johnnyg » Sun Jun 12, 2011 3:47 pm

Did you read: http://dev.deluge-torrent.org/wiki/Faq# ... ng.Howcome ?

You also need to restart Deluge when changing between the two.

Cas
Top Bloke
Top Bloke
Posts: 3474
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Can't set priority of file download (or not to download)

Postby Cas » Sun Jun 12, 2011 4:17 pm

That version of deluge is quite old now and in fact there was a 1.2.3 released however the latest version is now 1.3.2.

Although our Ubuntu PPA is only 1.3.1 you can install that and update again when 1.3.2 is added.

http://dev.deluge-torrent.org/wiki/Inst ... nux/Ubuntu

B2BF
New User
New User
Posts: 7
Joined: Sun Jun 12, 2011 1:16 pm
OS or Distro: Ubuntu

Re: Can't set priority of file download (or not to download)

Postby B2BF » Sun Jun 12, 2011 8:53 pm

Thanks johnnyg! That worked for me!

I can't get an newer version of Deluge for my lucide from aptitude. :(
Don't want to experiment with source right now...

Cas
Top Bloke
Top Bloke
Posts: 3474
Joined: Mon Dec 07, 2009 6:04 am
OS or Distro: Ubuntu 16.04
Location: Scotland

Re: Can't set priority of file download (or not to download)

Postby Cas » Mon Jun 13, 2011 1:48 am

B2BF wrote:I can't get an newer version of Deluge for my lucide from aptitude. :(
Don't want to experiment with source right now...


Please read more carefully what I recommended.

I pointed you to our PPA which has the most recent versions so if you do not know what they are here are a few links:

http://askubuntu.com/questions/4983/wha ... i-use-them
http://askubuntu.com/questions/35629/ar ... -watch-out

You can visit our PPA Launchpad page:

https://launchpad.net/~deluge-team/+archive/ppa

Then from the page I linked to (http://dev.deluge-torrent.org/wiki/Inst ... Repository) use the following commands to add our PPA repo and update deluge:

Code: Select all

sudo add-apt-repository ppa:deluge-team/ppa
sudo apt-get update
sudo apt-get install deluge


You may also want to update to that latest version of libtorrent (0.15.6) so additionally:

Code: Select all

sudo apt-get install libtorrent-rasterbar6

B2BF
New User
New User
Posts: 7
Joined: Sun Jun 12, 2011 1:16 pm
OS or Distro: Ubuntu

Re: Can't set priority of file download (or not to download)

Postby B2BF » Mon Jun 13, 2011 9:05 pm

OK. I've updated my Deluge. Thanks!

pdebski
New User
New User
Posts: 1
Joined: Sat Dec 27, 2014 5:03 pm
OS or Distro: Windows7

Re: Can't set priority of file download (or not to download)

Postby pdebski » Sat Dec 27, 2014 5:39 pm

Folks,

I reopen the case since even though I have enabled full allocation and restarted Deluge the options for individual file priority stay greyed (when I right-click on the file).

Deluge 1.3.11 libtorrent 0.16.18.0 MS-Windows 7
(tried Deluge 1.3.10 as well)

Best regards
PD

toolazy
Member
Member
Posts: 15
Joined: Mon Nov 20, 2017 7:05 pm
OS or Distro: Ubuntu 17.04

Re: Can't set priority of file download (or not to download)

Postby toolazy » Sat Dec 16, 2017 11:34 am

i get torrent:330 File priorities were not set for this torrent

deluged -v
deluged: 1.3.15
libtorrent: 1.1.5.0

i'm not using compact allocation

sinaptika
Member
Member
Posts: 37
Joined: Thu Apr 27, 2017 6:23 pm
OS or Distro: Linux/Alpine,Debian

Re: Can't set priority of file download (or not to download)

Postby sinaptika » Sat Dec 16, 2017 12:51 pm

toolazy wrote:libtorrent: 1.1.5.0


Use libtorrent 1.0.11, 1.1.x are not compatible with Deluge 1.3.x

Btw how did you manage to get lt 1.1.5? Did you build it from source? Why not use the ppa if on Ubuntu?

toolazy
Member
Member
Posts: 15
Joined: Mon Nov 20, 2017 7:05 pm
OS or Distro: Ubuntu 17.04

Re: Can't set priority of file download (or not to download)

Postby toolazy » Sat Dec 16, 2017 2:24 pm

the message dont show up anymore.. or not atm anyway.

yes compile from source "libtorrent" but 1.3.15 from ubuntu ppa


Return to “Support”

Who is online

Users browsing this forum: No registered users and 3 guests